Name:           galera
Version:        25.3.12
Release:        6%{?dist}
Summary:        Synchronous multi-master wsrep provider (replication engine)
License:        GPLv2
URL:            http://galeracluster.com/
Source0:        http://releases.galeracluster.com/source/%{name}-3-%{version}.tar.gz
Source1:        garbd.service
Source2:        garbd-wrapper
Source3: 	mariadbgaleracluster.te
Patch0:         galera-powerel-sconstruct.patch
Patch1:         galera-powerel-pagesize.patch
Patch2:         galera-powerel-multiplexer.patch
Patch3:         galera-powerel-sconscript-sse42.patch
BuildRequires:  boost-devel check-devel openssl-devel scons systemd
Requires:       nmap-ncat
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd


%description
Galera is a fast synchronous multi-master wsrep provider (replication engine)
for transactional databases and similar applications. For more information
about wsrep API see http://launchpad.net/wsrep. For a description of Galera
replication engine see http://www.codership.com.


%prep
%setup -q -n %{name}-3-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%{__cp} %{SOURCE3} .

%build
export CPPFLAGS="%{optflags} -fPIC"
scons %{?_smp_mflags} strict_build_flags=0
checkmodule -M -m -o mariadbgaleracluster.mod %{SOURCE3}
semodule_package -o mariadbgaleracluster.pp -m mariadbgaleracluster.mod


%install
install -D -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/garbd.service
install -D -m 755 %{SOURCE2} %{buildroot}%{_sbindir}/garbd-wrapper
install -D -m 755 garb/garbd %{buildroot}%{_sbindir}/garbd
install -D -m 755 libgalera_smm.so %{buildroot}%{_libdir}/galera/libgalera_smm.so
install -D -m 644 garb/files/garb.cnf %{buildroot}%{_sysconfdir}/sysconfig/garb
install -D -m 644 COPYING %{buildroot}%{_docdir}/galera/COPYING
install -D -m 644 chromium/LICENSE %{buildroot}%{_docdir}/galera/LICENSE.chromium
install -D -m 644 asio/LICENSE_1_0.txt %{buildroot}%{_docdir}/galera/LICENSE.asio
install -D -m 644 www.evanjones.ca/LICENSE %{buildroot}%{_docdir}/galera/LICENSE.crc32
install -D -m 644 scripts/packages/README %{buildroot}%{_docdir}/galera/README
install -D -m 644 scripts/packages/README-MySQL %{buildroot}%{_docdir}/galera/README-MySQL
install -D -m 644 mariadbgaleracluster.pp %{buildroot}/etc/selinux/targeted/modules/active/modules/mariadbgaleracluster.pp


%post
/sbin/semodule -vi /etc/selinux/targeted/modules/active/modules/mariadbgaleracluster.pp
/sbin/ldconfig
%systemd_post garbd.service


%preun
%systemd_preun garbd.service


%postun
/sbin/ldconfig
%systemd_postun_with_restart garbd.service


%files
%defattr(-,root,root,-)
%config(noreplace,missingok) %{_sysconfdir}/sysconfig/garb
/etc/selinux/targeted/modules/active/modules/mariadbgaleracluster.pp
%dir %{_docdir}/galera
%dir %{_libdir}/galera
%{_sbindir}/garbd
%{_sbindir}/garbd-wrapper
%{_unitdir}/garbd.service
%{_libdir}/galera/libgalera_smm.so
%doc %{_docdir}/galera/COPYING
%doc %{_docdir}/galera/LICENSE.asio
%doc %{_docdir}/galera/LICENSE.crc32
%doc %{_docdir}/galera/LICENSE.chromium
%doc %{_docdir}/galera/README
%doc %{_docdir}/galera/README-MySQL


%changelog
