%define xb_version_major  2
%define xb_version_minor  3
%define xb_version_patch  10
%define xb_version_extra  %{nil}
%define xb_rpm_version_extra 1
%define xb_revision       e623acb

Name:           xtrabackup
Version:        %{xb_version_major}.%{xb_version_minor}.%{xb_version_patch}
Release:        %{xb_rpm_version_extra}%{?dist}
Summary:        XtraBackup online backup for MySQL / InnoDB
Group:          Applications/Databases
License:        GPLv2
URL:            http://www.percona.com/software/percona-xtrabackup
Source:         https://github.com/percona/percona-xtrabackup/archive/percona-xtrabackup-%{version}.tar.gz
BuildRequires:  cmake, libaio-devel, libgcrypt-devel, ncurses-devel, readline-devel, zlib-devel
#BuildRequires:  python-sphinx >= 1.0.1
BuildRequires:  python-docutils >= 0.6
Requires:       perl(DBD::mysql)
Requires:       rsync
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

%description
Percona XtraBackup is OpenSource online (non-blockable) backup
solution for InnoDB and XtraDB engines


%package -n     xtrabackup-test
Summary:        Test suite for Percona XtraBackup
Group:          Applications/Databases
Requires:       percona-xtrabackup = %{version}-%{release}
Requires:       /usr/bin/mysql
AutoReqProv:    no
%description -n xtrabackup-test
This package contains the test suite for Percona XtraBackup %{version}


%prep
%setup -q -n percona-xtrabackup-percona-xtrabackup-%{version}%{xb_version_extra}


%build
export CC=${CC-"gcc"}
export CXX=${CXX-"g++"}
export CFLAGS="$RPM_OPT_FLAGS -DXTRABACKUP_VERSION=\\\"%{xtrabackup_version}\\\" -DXTRABACKUP_REVISION=\\\"%{xtrabackup_revision}\\\""
export CXXFLAGS="$RPM_OPT_FLAGS -DXTRABACKUP_VERSION=\\\"%{xtrabackup_version}\\\" -DXTRABACKUP_REVISION=\\\"%{xtrabackup_revision}\\\""
cmake -DBUILD_CONFIG=xtrabackup_release -DCMAKE_INSTALL_PREFIX=%{_prefix} \
      -DINSTALL_MYSQLTESTDIR=%{_datadir}/percona-xtrabackup-test -DINSTALL_MANDIR=%{_mandir} .
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/innobackupex
%{_bindir}/xtrabackup
%{_bindir}/xbstream
%{_bindir}/xbcrypt
%{_bindir}/xbcloud
%{_bindir}/xbcloud_osenv
%doc COPYING
%doc %{_mandir}/man1/*.1.gz


%files -n xtrabackup-test
%defattr(-,root,root,-)
%{_datadir}/percona-xtrabackup-test


%changelog
